return {
  "nvim-treesitter/nvim-treesitter",
  -- open this plugin on two events:
  -- BufReadPre - open existing file
  -- BufNewFile - open new file
  event = { "BufReadPre", "BufNewFile" },
  build = ":TSUpdate",      -- Run whenever this plugin is installed or updated
  dependencies = {
    "windwp/nvim-ts-autotag", -- Auto-closing functionality within treesitter
  },
  config = function()
    require "custom/treesitter"
  end,
}
